import { IResolver } from './file';
import { MarkableFileOptions, IMarkableFile } from './markable-file';
import { ObjectFile, ObjectFileOptions } from './object-file';
import { Project } from './project';
/**
 * (experimental) Options for `JsonFile`.
 *
 * @experimental
 */
export interface JsonFileOptions extends ObjectFileOptions, MarkableFileOptions {
}
/**
 * (experimental) Represents a JSON file.
 *
 * @experimental
 */
export declare class JsonFile extends ObjectFile implements IMarkableFile {
    /**
     * (experimental) Indicates if the projen marker JSON-comment will be added to the output object.
     *
     * @experimental
     */
    readonly marker: boolean;
    /**
     * @experimental
     */
    constructor(project: Project, filePath: string, options: JsonFileOptions);
    /**
     * (experimental) Implemented by derived classes and returns the contents of the file to emit.
     *
     * @experimental
     */
    protected synthesizeContent(resolver: IResolver): string | undefined;
}
